Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class SubGrid

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.SubGrid

All Implemented Interfaces:
  ContextDependent, VertexGrid, VertexSet, Manageable, Shareable

    public class SubGrid

extends ContextDependentBase
implements VertexGrid

Nested Class Summary
`static class` | `SubGrid.Type`

Field Summary
`static SubGrid.Type` | `$TYPE`
`static SCOType.Field` | `grid$FIELD`
`static SCOType.Field` | `offsetU$FIELD`
`static SCOType.Field` | `offsetV$FIELD`
`static SCOType.Field` | `step$FIELD`
`static SCOType.Field` | `widthU$FIELD`
`static SCOType.Field` | `widthV$FIELD`

Constructor Summary
`SubGrid()`

Method Summary
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`int` | `getDimension(GraphState gs)`
`VertexGrid` | `getGrid()`
`ManageableType` | `getManageableType()`
`int` | `getOffsetU()`
`int` | `getOffsetV()`
`int` | `getStep()`
`int` | `getUSize(GraphState gs)`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`int` | `getVertexIndex(int u, int v, GraphState gs)`
`int` | `getVSize(GraphState gs)`
`int` | `getWidthU()`
`int` | `getWidthV()`
`boolean` | `isRational(GraphState gs)`
`void` | `setGrid(VertexGrid value)`
`void` | `setOffsetU(int value)`
`void` | `setOffsetV(int value)`
`void` | `setStep(int value)`
`void` | `setWidthU(int value)`
`void` | `setWidthV(int value)`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Field Detail

### $TYPE

    public static final SubGrid.Type $TYPE

### grid$FIELD

    public static final SCOType.Field grid$FIELD

### offsetU$FIELD

    public static final SCOType.Field offsetU$FIELD

### offsetV$FIELD

    public static final SCOType.Field offsetV$FIELD

### step$FIELD

    public static final SCOType.Field step$FIELD

### widthU$FIELD

    public static final SCOType.Field widthU$FIELD

### widthV$FIELD

    public static final SCOType.Field widthV$FIELD

Constructor Detail

### SubGrid

    public SubGrid()

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getDimension

    public int getDimension(GraphState gs)

  Specified by:
    `getDimension` in interface `VertexSet`

### getGrid

    public VertexGrid getGrid()

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getOffsetU

    public int getOffsetU()

### getOffsetV

    public int getOffsetV()

### getStep

    public int getStep()

### getUSize

    public int getUSize(GraphState gs)

  Specified by:
    `getUSize` in interface `VertexGrid`

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`

### getVertexIndex

    public int getVertexIndex(int u,
                              int v,
                              GraphState gs)

  Specified by:
    `getVertexIndex` in interface `VertexGrid`

### getVSize

    public int getVSize(GraphState gs)

  Specified by:
    `getVSize` in interface `VertexGrid`

### getWidthU

    public int getWidthU()

### getWidthV

    public int getWidthV()

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`

### setGrid

    public void setGrid(VertexGrid value)

### setOffsetU

    public void setOffsetU(int value)

### setOffsetV

    public void setOffsetV(int value)

### setStep

    public void setStep(int value)

### setWidthU

    public void setWidthU(int value)

### setWidthV

    public void setWidthV(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD